
@import url('https://fonts.googleapis.com/css2?family=Alexandria:wght@400;700&display=swap');

body{
     font-family: 'Alexandria', sans-serif;
}


.formindex,
input,
label,
p,
a.forget {
    font-family: 'alexandria';
    direction: rtl;
}

.line-input-container{
    justify-content: center;
    align-items: center;
}
  .imgbg img{
    position: relative;
    width: 100%;
    height: 100vh; /* vh stands for viewport height */
    /* Ensure the image covers the entire container */
    overflow: hidden;
}

@keyframes borderColorCycle {
    10% {
        border-color: #fffffff1;
    }
    25% {
        border-color: #3994CB;
    }
    50% {
        border-color: #F07731;
    }
    75% {
        border-color: #1F295A;
    }
    100% {
        border-color: #60a3e2;
    }
}


/* base screen size */


  .formindex {
  height: 500px;
  width: 24%;
  position: absolute;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.158) 0%, rgba(255, 255, 255, 0) 100%);
  transform: translate(-50%,-50%);
  top: 320px;
  left: 0;
  border-radius: 15px;
  border-style: solid;
  border-color: #f1ebeb8f;
  border-width: 2px;
  margin-left:370px;
   box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
   animation: borderColorCycle 5s infinite;
}

form * {
    
    letter-spacing: 0.5px;
    outline: none;
    border: none;
    direction: rtl;   
}

form h3 {
    
color: #FFFFFF;
font-family: Alexandria;
font-size: 26px;
font-style: normal;
font-weight: 600;
line-height: normal;
width: auto;
height: 60px;
flex-shrink: 0;
text-align: center;
padding: 30px;

}

label {
   
    display: block;
    color: #FFFFFF;
    margin-top: 50px;
    margin-right: 25px;
    font-size: 20px;
    /* float: right; */
}

input {
    
    height: 50px;
    width: 85%;
    background-color:transparent;
    color: #ffffff;
    border-radius: 15px;
    padding: 0 10px;
    margin-top:20px;
    margin-right: 20px;
    font-size: 20px;
    font-weight: 400px;
    display: inline-block; 
    border:2px solid;
    border-color:#F07731;
}

p{
color: #D0322F;

font-size: 14px;
font-style: normal;
font-weight: 300;
line-height: normal;
margin-right: 20px;

}

form button {
    font-family: Alexandria;
    text-align: center;
    width: 150px;
    padding: 15px 0;
    border-radius:  15px;
    cursor: pointer;
    color: #F07731;
    background-color:transparent;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    margin: 0 auto;
    border:1px solid;
    border-color: #F07731;
    display: flex;
    justify-content: center;
}

button:hover{
    background-color: #F07731;
    color: white;
}

input:hover{
    border-style: solid;
    border-color: #ffffff;
 
}

.line-input::placeholder {
    color: rgba(180, 178, 178, 0.562); /* Set placeholder text color */
    font-size: 12px;
  }

  a.forget{
    text-decoration: none;
    color: #ffffff;
   float: right;
   margin-right: 30px;
   font-size: 14px; 
   margin-top: 5px;
}

/* Desktop and larger screens */
/* @media (min-width: 1024px) {
  .formindex {
      width: 20%;
      top: 300px;
      margin-left: 400px;
  }
  
  form h3 {
      font-size: 28px;
  }
  
} */

/* Medium desktops and laptops */
/* @media (min-width: 769px) and (max-width: 1023px) {
  .formindex {
      width: 30%;
      top: 270px;
      margin-left: 70px;
  }
  
  form h3 {
      font-size: 22px;
  }
  
  input,
  button {
      width: 90%;
  }
} */

/* LAPTOPS SIZE 1024 */
@media (min-width: 769px) and (max-width: 1024px) {
    .formindex {
        width: 35%;
        top: 300px;
        margin-left: 30%;
    }
    
    form h3 {
        font-size: 28px;
    }
    
  } 

/* Tablets */
@media (max-width: 768px) {
  .formindex {
      width: 40%;
      height: auto;
      /*margin-left: 180px;*/
      margin-bottom: 5px;
      top: 288px;
      font-size: 16px;
  }

  form h3 {
      font-size: 17px;
  }
   .imgbg img {
    display: none;
  
  /*.imgbg img {*/
  /*    height: 100%;*/
  /*}*/
    
  .line-input-container {
      flex-direction: column;
      align-items: stretch;
  }
  
  label {
    font-size: 16px;
    /* margin: 15px 0; */
    margin-right: 20px;
    margin-top: 20px;
  }
  form button{
    margin-right: 60px;
    font-size: 14px;
    margin-top: -7px;
  }
}

/* Mobile Devices */
@media (max-width: 480px) {
  .formindex {
      width: 70%;
      margin-left: 213px;
      top: 273px;
      padding-bottom: 16px;
  }
  
  .imgbg img {
    display: none;
      /* height: 100%; */
      /* width: 100%; */
      /* margin-right: 70px; */
      /* width: 128%;
      object-fit: cover; */
  }
  
  .line-input-container {
      flex-direction: column;
      align-items: stretch;
  }
  
  label {
      margin: 22px 26px 0 0;
  }
  
  form h3 {
      font-size: 18px;
  }
  form button{
    align-items: center;
    font-size: 14px;
    margin-right: 75px;
    /* margin-top: -7px; */
  }
}

/* Small Mobile Devices */
@media (max-width: 320px) {
  .formindex {
    /* height: 100%; */
      width: 90%;
      margin-left: 160px;
      top: 303px;
  }
  
  .imgbg img {
   display: none; 
 }
  
  input,
  button {
      width: 90%;
      font-size: 14px;
  }
  
  .line-input-container {
      flex-direction: column;
      align-items: stretch;
  }
  
  label {
      margin: 16px 26px 0 0;
      font-size: 15px;
  }
  
  form h3 {
      font-size: 16px;
      padding: 20px;
  }
}






